Search for interface
- Search 7.x for interface
- Search 9.5.x for interface
- Search 8.9.x for interface
- Search 10.3.x for interface
- Search main for interface
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| IconPackManagerInterface::getIcon | function | core/ |
Get definition of a specific icon. |
| IconPackManagerInterface::getIcons | function | core/ |
Get a list of all the icons within definitions. |
| IconPackManagerInterface::listIconPackOptions | function | core/ |
Populates a key-value pair of available icon pack. |
| ImageAdminStylesTest::testFlushUserInterface | function | core/ |
Tests flush user interface. |
| ImageEffectInterface | interface | core/ |
Defines the interface for image effects. |
| ImageEffectInterface.php | file | core/ |
|
| ImageEffectInterface::applyEffect | function | core/ |
Applies an image effect to the image object. |
| ImageEffectInterface::getDerivativeExtension | function | core/ |
Returns the extension of the derivative after applying this image effect. |
| ImageEffectInterface::getSummary | function | core/ |
Returns a render array summarizing the configuration of the image effect. |
| ImageEffectInterface::getUuid | function | core/ |
Returns the unique ID representing the image effect. |
| ImageEffectInterface::getWeight | function | core/ |
Returns the weight of the image effect. |
| ImageEffectInterface::label | function | core/ |
Returns the image effect label. |
| ImageEffectInterface::setWeight | function | core/ |
Sets the weight for this image effect. |
| ImageEffectInterface::transformDimensions | function | core/ |
Determines the dimensions of the styled image. |
| ImageInterface | interface | core/ |
Provides an interface for image objects. |
| ImageInterface.php | file | core/ |
|
| ImageInterface::apply | function | core/ |
Applies a toolkit operation to the image. |
| ImageInterface::convert | function | core/ |
Converts an image to the format specified by the extension. |
| ImageInterface::createNew | function | core/ |
Prepares a new image, without loading it from a file. |
| ImageInterface::crop | function | core/ |
Crops an image to a rectangle specified by the given dimensions. |
| ImageInterface::desaturate | function | core/ |
Converts an image to grayscale. |
| ImageInterface::getFileSize | function | core/ |
Returns the size of the image file. |
| ImageInterface::getHeight | function | core/ |
Returns the height of the image. |
| ImageInterface::getMimeType | function | core/ |
Returns the MIME type of the image file. |
| ImageInterface::getSource | function | core/ |
Retrieves the source path of the image file. |
| ImageInterface::getToolkit | function | core/ |
Returns the image toolkit used for this image file. |
| ImageInterface::getToolkitId | function | core/ |
Returns the ID of the image toolkit used for this image file. |
| ImageInterface::getWidth | function | core/ |
Returns the width of the image. |
| ImageInterface::isValid | function | core/ |
Checks if the image is valid. |
| ImageInterface::resize | function | core/ |
Resizes an image to the given dimensions (ignoring aspect ratio). |
| ImageInterface::rotate | function | core/ |
Rotates an image by the given number of degrees. |
| ImageInterface::save | function | core/ |
Closes the image and saves the changes to a file. |
| ImageInterface::scale | function | core/ |
Scales an image while maintaining aspect ratio. |
| ImageInterface::scaleAndCrop | function | core/ |
Scales an image to the exact width and height given. |
| ImageStyleInterface | interface | core/ |
Provides an interface defining an image style entity. |
| ImageStyleInterface.php | file | core/ |
|
| ImageStyleInterface::addImageEffect | function | core/ |
Saves an image effect for this style. |
| ImageStyleInterface::buildUri | function | core/ |
Returns the URI of this image when using this style. |
| ImageStyleInterface::buildUrl | function | core/ |
Returns the URL of this image derivative for an original image path or URI. |
| ImageStyleInterface::createDerivative | function | core/ |
Creates a new image derivative based on this image style. |
| ImageStyleInterface::deleteImageEffect | function | core/ |
Deletes an image effect from this style. |
| ImageStyleInterface::flush | function | core/ |
Flushes cached media for this style. |
| ImageStyleInterface::getDerivativeExtension | function | core/ |
Determines the extension of the derivative without generating it. |
| ImageStyleInterface::getEffect | function | core/ |
Returns a specific image effect. |
| ImageStyleInterface::getEffects | function | core/ |
Returns the image effects for this style. |
| ImageStyleInterface::getName | function | core/ |
Returns the image style. |
| ImageStyleInterface::getPathToken | function | core/ |
Generates a token to protect an image style derivative. |
| ImageStyleInterface::setName | function | core/ |
Sets the name of the image style. |
| ImageStyleInterface::supportsUri | function | core/ |
Determines if this style can be applied to a given image. |
| ImageStyleInterface::TOKEN | constant | core/ |
The name of the query parameter for image derivative tokens. |
Pagination
- Previous page
- Page 46
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.